com.r3corda.node.services.statemachine / SendAndReceive

# SendAndReceive

`data class SendAndReceive<T : SessionMessage> : SendRequest, ReceiveRequest<T>`

### Constructors

<init> | `SendAndReceive(session: ProtocolSession, message: SessionMessage, receiveType: Class<T>)`

### Properties

message | `val message: SessionMessage`
receiveType | `val receiveType: Class<T>`
session | `val session: ProtocolSession`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot`